%bcond_without alsa
%bcond_without audacious
%bcond_without curl
%bcond_without imlib
%bcond_without lua
%bcond_without lua_cairo
%bcond_without lua_imlib
%bcond_with moc
%bcond_without mpd
%bcond_with ncurses
%bcond_with nvidia
%bcond_without rss
%bcond_without ibm
%bcond_without wlan

Name:           conky 
Version:        1.8.1
Release:        5%{?dist}
Summary:        A system monitor for X 

Group:          User Interface/X
License:        GPLv3+
URL:            http://conky.sf.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: conky-1.8.1-libcurl.patch

BuildRequires:  libXft-devel
BuildRequires:  libXt-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libXext-devel
%{?with_alsa:BuildRequires: alsa-lib-devel}
%{?with_audacious:BuildRequires: audacious-devel dbus-glib-devel}
%{?with_curl:BuildRequires: curl-devel}
%{?with_imlib:BuildRequires: imlib2-devel}
%{?with_lua:BuildRequires: lua-devel}
%{?with_lua_cairo:BuildRequires: cairo-devel tolua++-devel}
%{?with_lua_imlib:BuildRequires: imlib2-devel tolua++-devel}
%{?with_nvidia:BuildRequires: libXNVCtrl-devel}
%{?with_ncurses:BuildRequires: ncurses-devel}
%{?with_rss:BuildRequires: curl-devel libxml2-devel}
%{?with_wlan:BuildRequires: wireless-tools-devel}

%description
A system monitor for X originally based on the torsmo code. but more kickass. 
It just keeps on given'er. Yeah.

%prep
%setup -q
%patch0 -p1 -b .libcurl-no-types-header

for i in AUTHORS; do
    iconv -f iso8859-1 -t utf8 -o ${i}{_,} && touch -r ${i}{,_} && mv -f ${i}{_,}
done

%build
%configure \
%{!?with_alsa:     --disable-alsa} \
%{?with_audacious: --enable-audacious=yes} \
%{?with_curl:      --enable-curl} \
%{?with_imlib:     --enable-imlib2} \
%{!?with_lua:      --disable-lua} \
%{?with_lua_cairo: --enable-lua-cairo} \
%{?with_lua_imlib: --enable-lua-imlib2} \
%{!?with_moc:      --disable-moc} \
%{!?with_mpd:      --disable-mpd} \
%{?with_nvidia:    --enable-nvidia} \
%{!?with_ncurses:  --disable-ncurses} \
%{?with_rss:       --enable-rss} \
%{?with_ibm:       --enable-ibm} \
%{?with_wlan:      --enable-wlan} \
    ;

# don't use rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/conky/conky_no_x11.conf
rm -f $RPM_BUILD_ROOT%{_libdir}/conky/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING TODO README NEWS extras/* doc/docs.html
%dir %{_sysconfdir}/conky
%config %{_sysconfdir}/conky/conky.conf
%{_bindir}/*
%if %{with lua_cairo} || %{with lua_imlib}
%{_libdir}/conky
%endif
%{_mandir}/man1/*


%changelog
* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 24 2011 Michael Schwendt <mschwendt@fedoraproject.org> - 1.8.1-4
- Rebuild as needed for 1.8.1-3 and latest Audacious library deps.
- Fix rebuild failure on Rawhide (no <curl/types.h>).

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.8.1-3
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 06 2010 Miroslav Lichvar <mlichvar@redhat.com> - 1.8.1-1
- update to 1.8.1

* Wed Apr 21 2010 Miroslav Lichvar <mlichvar@redhat.com> - 1.8.0-4
- remove rpath

* Wed Apr 14 2010 Miroslav Lichvar <mlichvar@redhat.com> - 1.8.0-3
- enable imlib support (#581986)

* Thu Apr 01 2010 Miroslav Lichvar <mlichvar@redhat.com> - 1.8.0-2
- update to 1.8.0

* Mon Feb 15 2010 Miroslav Lichvar <mlichvar@redhat.com> - 1.7.2-2
- fix building with new audacious (#556317)

* Tue Aug 25 2009 Miroslav Lichvar <mlichvar@redhat.com> - 1.7.2-1
- Update to 1.7.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Miroslav Lichvar <mlichvar@redhat.com> - 1.7.1.1-2
- Rebuild for new audacious
- Buildrequire libxml2-devel

* Wed Jun 17 2009 Miroslav Lichvar <mlichvar@redhat.com> - 1.7.1.1-1
- Update to 1.7.1.1

* Mon May 11 2009 Miroslav Lichvar <mlichvar@redhat.com> - 1.7.0-1
- Update to 1.7.0

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 26 2008 Miroslav Lichvar <mlichvar@redhat.com> - 1.6.1-1
- Update to 1.6.1
- Fix buffer overflow when reading interface addresses

* Tue Jul 22 2008 Miroslav Lichvar <mlichvar@redhat.com> - 1.6.0-1
- Update to 1.6.0
- Fix freq_dyn on x86_64

* Tue Apr 01 2008 Miroslav Lichvar <mlichvar@redhat.com> - 1.5.1-1
- Update to 1.5.1

* Sun Mar 23 2008 Miroslav Lichvar <mlichvar@redhat.com> - 1.5.0-1
- Update to 1.5.0
- Convert doc files to UTF-8

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.9-2
- Autorebuild for GCC 4.3

* Tue Nov 27 2007 Miroslav Lichvar <mlichvar@redhat.com> - 1.4.9-1
- Update to 1.4.9
- Enable support for Audacious 1.4.0

* Sun Oct 21 2007 Miroslav Lichvar <mlichvar@redhat.com> - 1.4.8-1
- Update to 1.4.8
- Enable mpd, rss and wireless support
- Update license tag

* Wed Apr 18 2007 Michael Rice <errr[AT]errr-online.com> - 1.4.5-4
- Rebuild to match audacious lib in fc6 bug: 236989

* Mon Apr 09 2007 Michael Rice <errr[AT]errr-online.com> - 1.4.5-3
- Rebuild for devel

* Thu Dec 14 2006 Michael Rice <errr[AT]errr-online.com> - 1.4.5-2
- Ship NEWS
- Add patch for license of timed_thread and NEWS

* Tue Dec 12 2006 Michael Rice <errr[AT]errr-online.com> - 1.4.5-1
- version bump
- change group
 
* Wed Dec 06 2006 Michael Rice <errr[AT]errr-online.com> - 1.4.4-3
- rebuild for new audacious lib version

* Thu Nov 30 2006 Michael Rice <errr[AT]errr-online.com> - 1.4.4-2
- Move nano and vim files into docs
- remove unneeded BR's

* Tue Nov 21 2006 Michael Rice <errr[AT]errr-online.com> - 1.4.4-1
- Version bump
- Add vim and nano syntax files to package

* Thu Oct 05 2006 Michael Rice <errr[AT]errr-online.com> - 1.4.3-1
- Version bump
- Remove Install file from docs

* Mon Oct 02 2006 Michael Rice <errr[AT]errr-online.com> - 1.4.2-4
- moved to configure macro from ./configure
- clean up changelog and make more informative entrys
- Fixed sumary in spec file
- remove NEWS file since it was empty
- remove xmms support due to possible security issue
- remove bmp support due to possible security issue
- add missing BR for libXext-devel and remove unneeded libX11-devel  

* Thu Sep 28 2006 Michael Rice <errr[AT]errr-online.com> - 1.4.2-3
- use the GPL as licence since the whole package is GPL

* Thu Sep 28 2006 Michael Rice <errr[AT]errr-online.com> - 1.4.2-2
- remove unneeded deps

* Tue Sep 26 2006 Michael Rice <errr[AT]errr-online.com> - 1.4.2-1
- Initial RPM release
